Package org.mariadb.jdbc.client.context

## Class BaseContext

- java.lang.Object
- - org.mariadb.jdbc.client.context.BaseContext

All Implemented Interfaces:
  `org.mariadb.jdbc.client.Context`

Direct Known Subclasses:
  `RedoContext`

    public class BaseContext
    extends Object
    implements org.mariadb.jdbc.client.Context

### Field Summary

Fields
`protected int` `serverStatus`

### Constructor Summary

Constructors
`BaseContext​(InitialHandshakePacket handshake, long clientCapabilities, Configuration conf, ExceptionFactory exceptionFactory, org.mariadb.jdbc.client.PrepareCache prepareCache)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addStateFlag​(int state)`
`boolean` `canSkipMeta()`
`Configuration` `getConf()`
`String` `getDatabase()`
`ExceptionFactory` `getExceptionFactory()`
`org.mariadb.jdbc.client.PrepareCache` `getPrepareCache()`
`byte[]` `getSeed()`
`long` `getServerCapabilities()`
`int` `getServerStatus()`
`int` `getStateFlag()`
`long` `getThreadId()`
`int` `getTransactionIsolationLevel()`
`org.mariadb.jdbc.client.ServerVersion` `getVersion()`
`int` `getWarning()`
`boolean` `isEofDeprecated()`
`boolean` `isExtendedInfo()`
`void` `resetPrepareCache()`
`void` `resetStateFlag()`
`void` `setDatabase​(String database)`
`void` `setServerStatus​(int serverStatus)`
`void` `setTransactionIsolationLevel​(int transactionIsolationLevel)`
`void` `setWarning​(int warning)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serverStatus

    protected int serverStatus

### Constructor Detail

#### BaseContext

    public BaseContext​(InitialHandshakePacket handshake,
                       long clientCapabilities,
                       Configuration conf,
                       ExceptionFactory exceptionFactory,
                       org.mariadb.jdbc.client.PrepareCache prepareCache)

### Method Detail

#### getThreadId

    public long getThreadId()

Specified by:
  `getThreadId` in interface `org.mariadb.jdbc.client.Context`

#### getSeed

    public byte[] getSeed()

Specified by:
  `getSeed` in interface `org.mariadb.jdbc.client.Context`

#### getServerCapabilities

    public long getServerCapabilities()

Specified by:
  `getServerCapabilities` in interface `org.mariadb.jdbc.client.Context`

#### getServerStatus

    public int getServerStatus()

Specified by:
  `getServerStatus` in interface `org.mariadb.jdbc.client.Context`

#### setServerStatus

    public void setServerStatus​(int serverStatus)

Specified by:
  `setServerStatus` in interface `org.mariadb.jdbc.client.Context`

#### getDatabase

    public String getDatabase()

Specified by:
  `getDatabase` in interface `org.mariadb.jdbc.client.Context`

#### setDatabase

    public void setDatabase​(String database)

Specified by:
  `setDatabase` in interface `org.mariadb.jdbc.client.Context`

#### getVersion

    public org.mariadb.jdbc.client.ServerVersion getVersion()

Specified by:
  `getVersion` in interface `org.mariadb.jdbc.client.Context`

#### isEofDeprecated

    public boolean isEofDeprecated()

Specified by:
  `isEofDeprecated` in interface `org.mariadb.jdbc.client.Context`

#### isExtendedInfo

    public boolean isExtendedInfo()

Specified by:
  `isExtendedInfo` in interface `org.mariadb.jdbc.client.Context`

#### canSkipMeta

    public boolean canSkipMeta()

Specified by:
  `canSkipMeta` in interface `org.mariadb.jdbc.client.Context`

#### getWarning

    public int getWarning()

Specified by:
  `getWarning` in interface `org.mariadb.jdbc.client.Context`

#### setWarning

    public void setWarning​(int warning)

Specified by:
  `setWarning` in interface `org.mariadb.jdbc.client.Context`

#### getExceptionFactory

    public ExceptionFactory getExceptionFactory()

Specified by:
  `getExceptionFactory` in interface `org.mariadb.jdbc.client.Context`

#### getConf

    public Configuration getConf()

Specified by:
  `getConf` in interface `org.mariadb.jdbc.client.Context`

#### getTransactionIsolationLevel

    public int getTransactionIsolationLevel()

Specified by:
  `getTransactionIsolationLevel` in interface `org.mariadb.jdbc.client.Context`

#### setTransactionIsolationLevel

    public void setTransactionIsolationLevel​(int transactionIsolationLevel)

Specified by:
  `setTransactionIsolationLevel` in interface `org.mariadb.jdbc.client.Context`

#### getPrepareCache

    public org.mariadb.jdbc.client.PrepareCache getPrepareCache()

Specified by:
  `getPrepareCache` in interface `org.mariadb.jdbc.client.Context`

#### resetPrepareCache

    public void resetPrepareCache()

Specified by:
  `resetPrepareCache` in interface `org.mariadb.jdbc.client.Context`

#### getStateFlag

    public int getStateFlag()

Specified by:
  `getStateFlag` in interface `org.mariadb.jdbc.client.Context`

#### resetStateFlag

    public void resetStateFlag()

Specified by:
  `resetStateFlag` in interface `org.mariadb.jdbc.client.Context`

#### addStateFlag

    public void addStateFlag​(int state)

Specified by:
  `addStateFlag` in interface `org.mariadb.jdbc.client.Context`